Get
curl --request GET \
--url https://api.klavis.ai/mcp-server/strata/{strataId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.klavis.ai/mcp-server/strata/{strataId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/mcp-server/strata/{strataId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/mcp-server/strata/{strataId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"strataServerUrl": "<string>",
"strataId": "<string>",
"connectedServers": [
"<string>"
],
"connectedExternalServers": [
{
"name": "<string>",
"url": "<string>",
"headers": {}
}
],
"oauthUrls": {},
"apiKeyUrls": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Strata
Get
Get information about an existing Strata MCP server instance.
Returns the strata URL, connected klavis servers, connected external servers (with URLs), and authentication URLs for klavis servers.
GET
/
mcp-server
/
strata
/
{strataId}
Get
curl --request GET \
--url https://api.klavis.ai/mcp-server/strata/{strataId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.klavis.ai/mcp-server/strata/{strataId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/mcp-server/strata/{strataId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/mcp-server/strata/{strataId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"strataServerUrl": "<string>",
"strataId": "<string>",
"connectedServers": [
"<string>"
],
"connectedExternalServers": [
{
"name": "<string>",
"url": "<string>",
"headers": {}
}
],
"oauthUrls": {},
"apiKeyUrls": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your Klavis AI API key.
Path Parameters
Response
Successful Response
URL to connect to the Strata MCP server
The strata server ID
List of available integration currently connected to this strata
List of external servers with name and URL currently connected to this strata
Show child attributes
Show child attributes
Map of connected integration to OAuth URL, supports white labeling if configured
Show child attributes
Show child attributes
Map of connected integration to API key setup URL
Show child attributes
Show child attributes
